Bug 1362481 - Cannot get info of a profile
Cannot get info of a profile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-02 06:47 EDT by James Hogarth
Modified: 2016-08-17 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: tuned-2.7.1-1.fc24 tuned-2.7.1-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1362521 (view as bug list)
Environment:
Last Closed: 2016-08-10 03:22:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hogarth 2016-08-02 06:47:03 EDT
Description of problem:
Using the directive tuned-adm profile_info results in a stack trace and no information

Version-Release number of selected component (if applicable):
tuned-2.7.0-2.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1. tuned-adm profile_info

Actual results:
[root@server conf.d]# tuned-adm profile_info
Profile name:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tuned/admin/dbus_controller.py", line 42, in _idle
    self._action_exit_code = self._action(*self._action_args, **self._action_kwargs)
  File "/usr/lib/python2.7/site-packages/tuned/admin/admin.py", line 136, in _action_dbus_profile_info
    return self._controller.exit(self._print_profile_info(self._controller.profile_info(profile)))
  File "/usr/lib/python2.7/site-packages/tuned/admin/admin.py", line 121, in _print_profile_info
    print(ret[1])
NameError: global name 'ret' is not defined

^CTraceback (most recent call last):
  File "/usr/sbin/tuned-adm", line 88, in <module>
    result = admin.action(action_name, **options)
  File "/usr/lib/python2.7/site-packages/tuned/admin/admin.py", line 72, in action
    res = self._controller.run()
  File "/usr/lib/python2.7/site-packages/tuned/admin/dbus_controller.py", line 62, in run
    self._main_loop.run()
  File "/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py", line 576, in run
    raise KeyboardInterrupt
KeyboardInterrupt


Expected results:
Details about the profile

Additional info:
Can list the available profiles fine:

[root@server conf.d]# tuned-adm list
Available profiles:
- balanced                    - General non-specialized tuned profile
- desktop                     - Optmize for the desktop use-case
- latency-performance         - Optimize for deterministic performance at the cost of increased power consumption
- network-latency             - Optimize for deterministic performance at the cost of increased power consumption, focused on low latency network performance
- network-throughput          - Optimize for streaming network throughput.  Generally only necessary on older CPUs or 40G+ networks.
- powersave                   - Optimize for low power consumption
- throughput-performance      - Broadly applicable tuning that provides excellent performance across a variety of common server workloads.  This is the default profile for RHEL7.
- virtual-guest               - Optimize for running inside a virtual guest.
- virtual-host                - Optimize for running KVM guests
Current active profile: balanced
Comment 1 Jaroslav Škarvada 2016-08-02 08:22:52 EDT
Thanks for the report, it's regression, we hadn't test for it, upstream commit fixing the problem:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=1f365e4f364439091caf4a85e91ba72c9ce6f309
Comment 2 Fedora Update System 2016-08-02 10:38:12 EDT
tuned-2.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4a205237e
Comment 3 Fedora Update System 2016-08-03 21:55:28 EDT
tuned-2.7.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4a205237e
Comment 4 Fedora Update System 2016-08-09 09:48:36 EDT
tuned-2.7.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b248910e48
Comment 5 Fedora Update System 2016-08-09 18:22:45 EDT
tuned-2.7.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b248910e48
Comment 6 Fedora Update System 2016-08-10 03:22:51 EDT
tuned-2.7.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-08-17 20:49:59 EDT
tuned-2.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.